﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\libswigged\libswigged.csproj" />
  </ItemGroup>

  <ItemGroup Condition="$([System.OperatingSystem]::IsLinux())">
    <None Include="..\libswigged\cbuild\libswiggedcpp.so">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  
  <ItemGroup Condition="$([System.OperatingSystem]::IsWindows())">
    <None Include="..\libswigged\cbuild\Release\swiggedcpp.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>
